r.resamp.stats(1)

NAME
r.resamp.stats - Resamples raster map layers to a coarser grid using aggregation.

KEYWORDS
raster, resample, univariate statistics, aggregation

SYNOPSIS
r.resamp.stats
r.resamp.stats --help
r.resamp.stats [-nw] input=name output=name [method=string] [quantile=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-n
    Propagate NULLs

-w
    Weight according to area (slower)

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input raster map

output=name [required]
    Name for output raster map

method=string
    Aggregation method
    Options: average, median, mode, minimum, maximum, range, quart1, quart3, perc90, sum, variance, stddev, quantile, count, diversity
    Default: average

quantile=float
    Quantile to calculate for method=quantile
    Options: 0.0-1.0
    Default: 0.5

DESCRIPTION

r.resamp.stats fills a grid cell (raster) matrix with aggregated values generated from a set of input layer data points.

Without the -w switch, the aggregate is computed over all of the input cells whose centers lie within the output cell.

With the -w switch, the aggregate uses the values from all input cells which intersect the output cell, weighted according to the proportion of the source cell which lies inside the output cell. This is slower, but produces a more accurate result.

NOTES

Resampling modules (r.resample, r.resamp.stats, r.resamp.interp, r.resamp.rst) resample the map to match the current region settings.

The notion of weighting doesn’t make any sense for the min and max aggregates. However, the -w flag still has significance in that, when multiple destination cells overlap a source cell, the source cell is included in the calculation of all of the destination cells.

EXAMPLE

Resample elevation raster map to a lower resolution (from 6m to 20m; North Carolina sample dataset):

g.region raster=el_D782_6m -p
g.region res=20 -ap
# from 6m to 20m: weighted resampling -w
r.resamp.stats -w input=el_D782_6m output=el_D782_20m

Resampling of 6m DEM (left) to 20m DEM (right) with weighted resampling (subset)

SEE ALSO
g.region, r.resample, r.resamp.rst, r.resamp.filter, r.resamp.interp, r.neighbors

Overview: Interpolation and Resampling in GRASS GIS

Examples how statistical functions are applied can be found in the r.neighbors module documentation.

AUTHOR
Glynn Clements

SOURCE CODE

Available at: r.resamp.stats source code (history)

Latest change: Thursday Dec 22 12:39:52 2022 in commit: b5a70ba2c4d3115656baa764ff51a31bd5a8db19

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual